| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::GeneralizedHoughBallard Class Referenceabstract
Image Processing » Structural Analysis and Shape Descriptors

finds arbitrary template in the grayscale image using Generalized Hough Transform More...

`#include <opencv2/imgproc.hpp>`

Inheritance diagram for cv::GeneralizedHoughBallard:

## Public Member Functions
virtual int | getLevels () const =0
virtual int | getVotesThreshold () const =0
virtual void | setLevels (int levels)=0
| R-Table levels. More...
virtual void | setVotesThreshold (int votesThreshold)=0
| The accumulator threshold for the template centers at the detection stage. The smaller it is, the more false positions may be detected. More...
Public Member Functions inherited from cv::GeneralizedHough
virtual void | detect (InputArray image, OutputArray positions, OutputArray votes=noArray())=0
| find template on image More...
virtual void | detect (InputArray edges, InputArray dx, InputArray dy, OutputArray positions, OutputArray votes=noArray())=0
virtual int | getCannyHighThresh () const =0
virtual int | getCannyLowThresh () const =0
virtual double | getDp () const =0
virtual int | getMaxBufferSize () const =0
virtual double | getMinDist () const =0
virtual void | setCannyHighThresh (int cannyHighThresh)=0
| Canny high threshold. More...
virtual void | setCannyLowThresh (int cannyLowThresh)=0
| Canny low threshold. More...
virtual void | setDp (double dp)=0
| Inverse ratio of the accumulator resolution to the image resolution. More...
virtual void | setMaxBufferSize (int maxBufferSize)=0
| Maximal size of inner buffers. More...
virtual void | setMinDist (double minDist)=0
| Minimum distance between the centers of the detected objects. More...
virtual void | setTemplate (InputArray templ, Point templCenter=Point(-1, -1))=0
| set template to search More...
virtual void | setTemplate (InputArray edges, InputArray dx, InputArray dy, Point templCenter=Point(-1, -1))=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

finds arbitrary template in the grayscale image using Generalized Hough Transform

Detects position only without translation and rotation [10] .

## Member Function Documentation

## § getLevels()

virtual int cv::GeneralizedHoughBallard::getLevels | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughBallard.getLevels( |  | )

## § getVotesThreshold()

virtual int cv::GeneralizedHoughBallard::getVotesThreshold | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughBallard.getVotesThreshold( |  | )

## § setLevels()

virtual void cv::GeneralizedHoughBallard::setLevels | ( | int | levels | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughBallard.setLevels( | levels | )

R-Table levels.

## § setVotesThreshold()

virtual void cv::GeneralizedHoughBallard::setVotesThreshold | ( | int | votesThreshold | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughBallard.setVotesThreshold( | votesThreshold | )

The accumulator threshold for the template centers at the detection stage. The smaller it is, the more false positions may be detected.

The documentation for this class was generated from the following file:

- opencv2/imgproc.hpp